%define daemon_user monitor
%define htmlroot /var/www/html
%define httpconfdir httpd/conf.d
%define daemon_group apache
%define web_user apache
Name: op5-sysnagios-extension
Version: %{op5version}
Release: %{op5release}%{?dist}
Vendor: op5 AB
License: op5 Software License
BuildRoot: %{_tmppath}/%{name}-%{version}
Summary: GUI extension for SysNagios
Group: op5/monitor
Prefix: /opt/monitor/op5/ninja
BuildArch: noarch
Requires: monitor-ninja
Requires: monitor-livestatus
BuildRequires: monitor-ninja
BuildRequires: monitor-ninja-devel
Source: %name-%version.tar.gz

%description
GUI extension for SysNagios.
Note that this package is only supported for the customers that specifically have this extension in their support agreement.

%package test
Summary: Test files for op5-sysnagios-extension
Group: op5/monitor
Requires: op5-sysnagios-extension = %version
Requires: monitor-ninja
Requires: monitor-livestatus
Requires: merlin
Requires: op5-phpunit
Requires: op5license-tests
Requires: op5license
Requires: monitor-nacoma
Requires: gcc
Requires: chromedriver
Requires: op5int_webtest
%if 0%{?rhel} <= 6
Requires: ruby20
Requires: ruby20-devel
%else
Requires: ruby
Requires: ruby-devel
%endif

%description test
Test suite for op5-sysnagios-extension

%prep
%setup -q

%build
make

%install
mkdir -p %buildroot%prefix/modules
cp -r sysnagios/ %buildroot%prefix/modules
cp Makefile %buildroot%prefix/
cp -a test %buildroot%prefix/test

%post

%files
%defattr(664, %daemon_user, %daemon_group, 755)
%prefix/modules/sysnagios/

%exclude %prefix/test
%exclude %prefix/Makefile

%files test
%defattr(664, %daemon_user, %daemon_group, 755)
%prefix/test
%prefix/Makefile

%preun

%postun

%clean
rm -rf %buildroot
